Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface FunctionCallTree

- All Superinterfaces:
    `ExpressionTree`, `Tree`

      public interface FunctionCallTree
      extends ExpressionTree

  A tree node for a function call expression. For example:

         identifier ( arguments )

         this . identifier ( arguments )

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends ExpressionTree>` | `getArguments​()` | Returns the list of arguments being passed to this function call.
    `ExpressionTree` | `getFunctionSelect​()` | Returns the function being called.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getFunctionSelect

          ExpressionTree getFunctionSelect​()

      Returns the function being called.
      Returns:
        the function being called

    - #### getArguments

          List<? extends ExpressionTree> getArguments​()

      Returns the list of arguments being passed to this function call.
      Returns:
        the list of argument expressions